sphinx (1.8.4-1) unstable; urgency=medium

  * New upstream release.
  * Ensure the graphviz filenames are reproducible (closes: #921513).
  * Bump year in debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 16 Feb 2019 16:55:01 +0300

sphinx (1.8.3-2) unstable; urgency=medium

  * Bump Standards-Version to 4.3.0, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 26 Jan 2019 12:42:25 +0300

sphinx (1.8.3-1) experimental; urgency=medium

  * New upstream release.
  * Drop language_data.js.diff, applied upstream.
  * Refresh skip_tests_network.diff.
  * Add a patch to make test_get_module_source() pass on Python 2.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 09 Jan 2019 19:36:31 +0300

sphinx (1.8.2-1) experimental; urgency=medium

  * New upstream release.
  * Drop mathjax_on_demand.diff, applied upstream.
  * Backport upstream patch to make search work with custom templates, by
    moving language data into a separate JS file (language_data.js.diff).
  * Adapt dh_sphinxdoc for the introduction of language_data.js.
  * Override Lintian false positive warning about todo.py extension.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 11 Nov 2018 14:53:05 +0300

sphinx (1.8.1-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, applied upstream:
    - 0005-Fix-testsuite-to-not-rely-on-return-types.patch
    - 0007-Fix-spelling-error-in-manpage.patch
    - 0008-Call-object_description-recursively-for-dict-keys-an.patch
    - 0009-Ensure-the-set-object-description-is-reproducible.patch
  * Refresh and rebase the other patches.
  * Drop numbers from the remaining patches, use consistent naming.
  * Do not copy .doctrees/ during docs build, it is now in source tree.
  * Make test_math_compat pass with Python 2, by adding sphinx.ext.mathbase
    toplevel import (python2_tests_import_hack.diff).
  * Add a patch to load MathJax.js only on demand (mathjax_on_demand.diff).
  * Update debian/clean to clean .doctrees, .pytest_cache and tests/build.
  * dh_sphinxdoc:
    - Remove mention of “non-English searchtools.js”, all language-specific
      stuff is now in documentation_options.js.
    - Warn about missing SEARCH_LANGUAGE_STOP_WORDS.
  * Update numbers in debian/jstest/run-tests for the new release.
  * Remove obsolete section from debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 29 Oct 2018 16:41:33 +0300

sphinx (1.7.9-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Drop 0012-Make-generated-texinfo-files-reproducible-by-sorting.patch,
    applied upstream.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 06 Sep 2018 13:11:38 +0300

sphinx (1.7.8-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Refresh 0009-Ensure-the-set-object-description-is-reproducible.patch.
  * Make generated texinfo files reproducible (closes: #907352).
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 31 Aug 2018 14:31:03 +0300

sphinx (1.7.7-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Refresh patches for the new release.
  * Directly use PyStemmer for non-English search (without the wrapper).
  * Bump Standards-Version to 4.2.0.
  * Pass --verbose to pytest, as now required by Policy §4.9.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 25 Aug 2018 11:14:54 +0300

sphinx (1.7.6-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Drop patches, applied upstream:
    - 0011-Fix-5022-latex-crashed-with-docutils-package-provide.patch
    - 0012-Fix-5048-crashed-with-numbered-toctree.patch
  * Refresh other patches.
  * Run “wrap-and-sort”.
  * Recommend make (closes: #903260).
  * Add back PYTHONWARNINGS=d, the pytest warnings have been fixed.
  * Add a patch to remove use of external image from img.shields.io in
    the documentation template.
  * Bump Standards-Version to 4.1.5, no changes needed.
  * Rely on dh_python{2,3} for generating most of package dependencies.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 08 Jul 2018 16:22:44 +0300

sphinx (1.7.5-6) unstable; urgency=medium

  * Export LC_ALL=C.UTF-8 to make the build pass on the buildds.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 05 Jul 2018 14:26:07 +0300

sphinx (1.7.5-5) unstable; urgency=medium

  * dh_sphinxdoc: Generate versioned dependencies on sphinx-rtd-theme-common.
  * Switch to dh sequencer and pybuild buildsystem.
  * Stop setting PYTHONWARNINGS=d. There are too many deprecation warnings
    coming from pytest.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 05 Jul 2018 13:00:27 +0300

sphinx (1.7.5-4) experimental; urgency=medium

  * Use the alternatives mechanism for managing scripts.
  * Prefer Python 3 versions of the scripts (closes: #898009).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Jun 2018 00:45:15 +0300

sphinx (1.7.5-3) unstable; urgency=medium

  * Backport upstream patch to fix crash with numbered toctrees
    (closes: #901769, thanks Robin Jarry for the bug report).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 18 Jun 2018 15:28:44 +0300

sphinx (1.7.5-2) unstable; urgency=medium

  * dh_sphinxdoc: Fix for templates that do not use documentation_options.js
    (closes: #901662, thanks Rebecca N. Palmer for the bug report).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 16 Jun 2018 21:54:03 +0300

sphinx (1.7.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Dmitry Shachnev ]
  * New upstream bugfix release.
  * Backport upstream patch to support standalone roman module.
  * dh_sphinxdoc: Support url_root in the new data-url_root attribute.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 15 Jun 2018 17:45:33 +0300

sphinx (1.7.4-1) unstable; urgency=medium

  * New upstream bugfix release.
    - Fixed crash with duplicated objects (closes: #896897).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 25 Apr 2018 20:47:00 +0300

sphinx (1.7.3-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Refresh debian/patches/0003-skip_tests_network.diff.
  * Set PYTHONPATH to $(CURDIR) when building our own documentation,
    to make sure we are using the local version of Sphinx code.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 23 Apr 2018 11:09:06 +0300

sphinx (1.7.2-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Dmitry Shachnev ]
  * Update autopkgtests to work with Sphinx 1.7 (closes: #895854).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 18 Apr 2018 17:35:47 +0300

sphinx (1.7.2-3) unstable; urgency=medium

  * Remove setuptools from install_requires, it is not needed on Debian
    (closes: #895738).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 15 Apr 2018 21:43:18 +0300

sphinx (1.7.2-2) unstable; urgency=medium

  * Make python-sphinx depend on python-typing (closes: #895727).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 15 Apr 2018 13:08:26 +0300

sphinx (1.7.2-1) unstable; urgency=medium

  [ Chris Lamb ]
  * New upstream release.
  * Pass -vv to pytest when running the testsuite.
  * Patches:
    - Apply patch series from https://github.com/sphinx-doc/sphinx/pull/4834 to
      make the set output reproducible. (Closes: #895553)
    - Don't use Google Fonts to avoid privacy breach.
    - Fix "arbitary" spelling error in sphinx-quickstart(1) manpage.
    - Fix testsuite to not rely on return types.
    - Refresh and renumber all patches.
  * Bump Standards-Version to 4.1.4.
  * Add myself to Uploaders.

  [ Dmitry Shachnev ]
  * Merge 1.6.7-2 upload from experimental to unstable.

 -- Chris Lamb <lamby@debian.org>  Sat, 14 Apr 2018 19:32:39 +0100

sphinx (1.7.1-1) experimental; urgency=medium

  * New upstream release (closes: #890581).
    - No longer bundles a copy of pgen2 (closes: #609485).
  * Drop reproducible_epub.diff and text_section_numbering.diff, applied
    in the new release.
  * Refresh and rebase other patches.
  * Build-depend and depend on python[3]-packaging.
  * Update commands to build docs and run tests.
  * All scripts are now setuptools entrypoints, update the code accordingly.
  * Update debian/copyright.
  * dh_sphinxdoc: Support standalone documentation_options.js files.
  * Update numbers in debian/jstest/run-tests for the new release.
  * Use upstream sphinx-autogen(1) manpage.
  * Set PYTHONPATH to current directory when running the tests.
  * Set PYTHONPATH when running the install-js script.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 04 Mar 2018 12:20:20 +0300

sphinx (1.6.7-2) unstable; urgency=medium

  * Make python3-sphinx depend on python3-distutils (closes: #893620).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 22 Mar 2018 18:07:32 +0300

sphinx (1.6.7-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Update Vcs fields for migration to salsa.debian.org.
  * Update debhelper compat level to 11.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 11 Feb 2018 22:08:38 +0300

sphinx (1.6.6-2) unstable; urgency=medium

  * Backport upstream patch to add optional section numbering in plain
    text output (closes: #872868).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jan 2018 21:51:28 +0300

sphinx (1.6.6-1) unstable; urgency=medium

  * New upstream release (closes: #881923).
  * Drop reproducible_dicts.diff and reproducible_htmlhelp.diff, applied
    in the new release.
  * Refresh other patches.
  * Remove trailing whitespace from debian/control and debian/rules.
  * Rewrite debian/copyright using the machine-readable format 1.0.
  * Bump Standards-Version to 4.1.3, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 11 Jan 2018 16:07:07 +0300

sphinx (1.6.5-4) unstable; urgency=medium

  * Change python3.6-2to3 dependencies to python3-lib2to3.
  * Backport upstream reproducibility fix for htmlhelp and qthelp builders
    (reproducible_htmlhelp.diff; closes: #884010).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 28 Dec 2017 14:04:30 +0300

sphinx (1.6.5-3) unstable; urgency=medium

  * Make python3-sphinx depend on python3.6-2to3, where lib2to3 is shipped
    since python3.6 3.6.4~rc1-2. It will be replaced with a more generic
    dependency later.
  * Also build-depend on python3.6-2to3, to make the tests pass.
  * Bump Standards-Version to 4.1.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 15 Dec 2017 17:03:53 +0300

sphinx (1.6.5-2) unstable; urgency=medium

  * Backport two upstream patches to improve builds reproducibility:
    - reproducible_dicts.diff to sort dictionary keys (closes: #877637).
    - reproducible_epub.diff to make EPUB generation reproducible.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 29 Oct 2017 19:12:40 +0300

sphinx (1.6.5-1) unstable; urgency=medium

  * New upstream release.
  * Drop cpp_no_assert and sourcelink_suffix_fallback.diff, applied in the
    new release.
  * dh_sphinxdoc: In singlehtml check, consider only HTML files that use
    doctools.js (closes: #872863).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 23 Oct 2017 12:21:59 +0300

sphinx (1.6.4-2) unstable; urgency=medium

  * Add a note that dh_sphinxdoc does not actually build the documentation
    to its manpage.
  * Backport upstream patch to fix wrong AssertionError in C++ domain
    (cpp_no_assert.diff; closes: #877014).
  * Backport upstream patch to make searchtools.js work with pre-Sphinx 1.5
    templates (sourcelink_suffix_fallback.diff).
  * Update dh_sphinxdoc for the above change: there is no more need to error
    about missing SOURCELINK_SUFFIX.
  * Bump Standards-Version to 4.1.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 04 Oct 2017 11:53:44 +0700

sphinx (1.6.4-1) unstable; urgency=medium

  * New upstream release.
    - Fixes incorrect return status in sphinx-build (closes: #876048).
  * Drop upstream_fix_crash_on_parallel_build.diff, applied upstream.
  * dh_sphinxdoc: Turn warning about missing SOURCELINK_SUFFIX to an error.
  * Change sphinx-common trigger from interest to interest-noawait.
  * Bump Standards-Version to 4.1.0, no changes needed.
  * Use pkg-info.mk to retrieve the upstream version number.
  * Use python3 to build our own documentation.
  * Add support for nodoc build profile.
  * Add python3-sphinxcontrib.websupport to build-dependencies for docs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 26 Sep 2017 17:47:54 +0300

sphinx (1.6.3-2) unstable; urgency=medium

  * Move sphinxcontrib-websupport from requirements to extras_require
    in setuptools metadata (no_require_websupport.diff).
  * Backport upstream patch to fix crash with new python2.7
    (upstream_fix_crash_on_parallel_build.diff; closes: #869098).
  * dh_sphinxdoc: Add support for singlehtml builds (closes: #872863).
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 17 Sep 2017 20:52:27 +0300

sphinx (1.6.3-1) experimental; urgency=medium

  * New upstream release (closes: #866789).
  * Update dependencies for the new release.
    - Drop python[3]-whoosh and python[3]-sqlalchemy build-dependencies.
      They were only needed for websupport tests, now skipped (see below).
    - Add build-dependency on python-typing (Python 2 only).
    - Add suggestion on latexmk, it is now used for LaTeX builds.
    - Add build-dependency and suggestion on imagemagick-6.q16 and
      librsvg2-bin, needed for imgconverter extension.
  * Update autopkgtest dependencies.
    - Add python[3]-sphinxcontrib.websupport.
    - Add python[3]-sqlalchemy.
  * Disable one more test that needs network in skip_tests_network.diff.
  * Move libjs-sphinxdoc package to javascript section.
  * Update numbers in debian/jstest/run-tests for the new release.
  * Update debian/copyright from upstream LICENSE and AUTHORS files.
  * Skip running websupport tests during build, to avoid build-dependency
    loop with sphinxcontrib-websupport.
  * Remove useless FIXME comment from debian/rules.
  * Do not run tests with --verbose flag during build, to make the output
    easier to read.
  * Document the new --imported-members option in sphinx-autogen manpage.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 06 Aug 2017 15:13:24 +0300

sphinx (1.5.6-2) unstable; urgency=medium

  * Drop Patch-Name headers, not needed with gbp-pq.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 09 Jul 2017 12:05:28 +0300

sphinx (1.5.6-1) experimental; urgency=medium

  * New upstream bugfix release.
  * Update jstests for compatibility with WebKitGTK+ 2.16.2.
    Now the title property can be no longer than 1000 characters, so we
    cannot fetch the whole page using it. Instead, we compute the needed
    numbers with JavaScript and then fetch them using the title property.
  * Update debian/copyright for upstream LICENSE change.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 15 May 2017 11:31:42 +0300

sphinx (1.5.5-1) experimental; urgency=medium

  * New upstream release.
  * dh_sphinxdoc: Use a better message for missing sourcelink_suffix, and
    downgrade this error to a warning.
  * Clean some files which erroneously got into the upstream tarball.
  * Sync debian/copyright with upstream AUTHORS file.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 06 Apr 2017 23:27:29 +0300

sphinx (1.5.3-1) experimental; urgency=medium

  * New upstream release.
  * Build-depend on texlive-luatex, to make xetex tests not be skipped.
  * Convert from git-dpm to patches unapplied format.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 15 Mar 2017 12:37:21 +0300

sphinx (1.5.2-2) experimental; urgency=medium

  * dh_sphinxdoc: Properly detect sourcelink_suffix and use it when looking
    for source and HTML files.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 24 Jan 2017 12:42:06 +0300

sphinx (1.5.2-1) experimental; urgency=medium

  * New upstream release.
    - Drop fix_xapian_search.diff, applied upstream.
    - Rebase other patches for test system changes to pytest.
  * Bump python[3]-requests dependency to 2.4.0.
  * Switch from nose to pytest, following upstream.
  * Update one number in debian/jstest/run-tests for the new release.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 22 Jan 2017 19:45:18 +0300

sphinx (1.5.1-1) experimental; urgency=medium

  * New upstream release.
  * Drop docutils_0.13.diff, applied upstream.
  * Rebase other patches.
  * Bump X-Python-Version to 2.7 and X-Python3-Version to 3.4, following
    upstream.
  * Depend on python[3]-requests and build-depend on python[3]-html5lib.
  * Build-depend and recommend python-enum34 (for autodoc extension).
  * Drop texlive-generic-extra dependency, iftex is no longer used.
  * Stop unbundling fncychap.sty (no longer bundled), iftex.sty and
    newfloat.sty (no longer used).
  * Skip test_meta_keys_are_handled_for_language_de, fails without snowball.
  * Backport upstream change to fix Xapian search adapter crashes
    (fix_xapian_search.diff).
  * Skip tests that require internet access (skip_tests_network.diff).
  * Update dh_sphinxdoc for upstream changes to document extensions.
  * Update numbers in debian/jstest/run-tests for the new release.
  * Move the new templates directory to sphinx-common package.
  * Move the non-minified JS files to sphinx-common package.
  * Add allow-stderr restriction for the sphinx-doc autopkgtest.
  * Clean and do not install the sphinx/locale/.tx/config file.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 23 Dec 2016 11:34:31 +0300

sphinx (1.4.9-2) unstable; urgency=medium

  * Backport upstream patch to add compatibility with docutils 0.13
    (docutils_0.13.diff).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 11 Dec 2016 11:42:43 +0300

sphinx (1.4.9-1) unstable; urgency=medium

  * New upstream bugfix release (closes: #846149).
  * Drop fix_autodoc_new_python.diff, applied upstream.
  * Remove unwanted file sphinx/locale/.DS_Store in clean target.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 29 Nov 2016 13:37:31 +0300

sphinx (1.4.8-2) unstable; urgency=medium

  * Relax the check in dh_sphinxdoc to allow different locations of
    searchindex.js file (closes: #841141).
  * Sort $(scripts) variable in Makefile, to fix a reproducibility issue.
  * Backport upstream patch to fix autodoc failures with new Python 3.5
    and Python 3.6 snapshots (fix_autodoc_new_python.diff). Fixes FTBFS.
  * Drop build-dependencies on python[3]-xapian (closes: #842903).
  * Add more tests dependencies to the autopkgtests.
  * Update dh_sphinxdoc manpage for the latest changes (closes: #836248).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 17 Nov 2016 21:10:30 +0300

sphinx (1.4.8-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Stop running jstest during build (but still run it in the autopkgtest).
  * Update debian/watch to track only stable versions.
  * Make dh_sphinxdoc generate ${sphinxdoc:Built-Using} substvar (closes:
    #836248).
  * Call dh_strip_nondeterminism during build.
  * Build-depend on python3-xapian again, now it is in unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 03 Oct 2016 17:24:50 +0300

sphinx (1.4.6-1) unstable; urgency=medium

  * New upstream bugfix release (closes: #835026).
  * Bump python[3]-six dependency to 1.5, following upstream.
  * dh_sphinxdoc: Include the list of packages in the error message about
    documentation not found (closes: #833799).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Aug 2016 21:04:54 +0300

sphinx (1.4.5-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Drop upstream patches:
    - fix_ltz_utcoffset.diff
    - latex_code_robust.diff

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 13 Jul 2016 22:56:54 +0300

sphinx (1.4.4-3) unstable; urgency=medium

  * Backport upstream patch (latex_code_robust.diff) to fix the \code
    command in generated LaTeX files (closes: #829118).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 01 Jul 2016 20:59:46 +0300

sphinx (1.4.4-2) unstable; urgency=medium

  * Update Python 2 autopkgtest to not run tests that require Python 3.
  * Add a patch to fix return type of LocalTimeZone.utcoffset when
    SOURCE_DATE_EPOCH is set (fix_ltz_utcoffset.diff).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 21 Jun 2016 17:33:28 +0300

sphinx (1.4.4-1) unstable; urgency=medium

  * New upstream bugfix release.
    - Autodoc now removes all memory addresses (closes: #822197).
  * Drop python3-xapian build-dependency for unstable upload: it is not
    yet available in unstable.
  * Build-depend on graphviz so that the corresponding tests are not
    skipped.
  * Do not install the bundled TeX files from texinput directory:
    - fncychap.sty (available in texlive-latex-extra)
    - iftex.sty (available in texlive-generic-extra)
    - needspace.sty (available in texlive-latex-extra)
    - newfloat.sty (available in texlive-latex-recommended)
  * Suggest texlive-generic-extra instead (the other packages are already in
    the Suggests list).
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 17 Jun 2016 18:42:56 +0300

sphinx (1.4.3-1) experimental; urgency=medium

  * New upstream bugfix release.
  * Drop the following patches, applied upstream:
    - 0004-Extend-SOURCE_DATE_EPOCH-support.patch
    - 0005-Adapt-to-typing-private-API-change-in-Python-3.5.2.patch
    - 0006-Make-custom-compile_catalog-command-work-with-Babel-.patch
    - 0007-Load-compatibility-patch-for-LuaTeX-0.85.patch
    - 0008-Make-Xapian-search-work-with-Python-3.patch
  * Add Takeshi KOMIYA’s signing key to debian/upstream/signing-key.asc.
  * Bump version number in sphinx-autogen manpage.
  * Build-depend on texlive-generic-extra (for iftex package).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 06 Jun 2016 19:47:32 +0300

sphinx (1.4.1-2) experimental; urgency=medium

  * Add a patch to make Xapian search tests pass with Python 3.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 26 May 2016 13:45:43 +0300

sphinx (1.4.1-1) experimental; urgency=medium

  * New upstream release (closes: #824375).
  * Drop the following patches, applied upstream:
    - disable_distribute_setup.diff
    - source_date_epoch.diff
    - reproducible_grammar.diff
    - reproducible_inventory.diff
    - reproducible_js_locale.diff
    - reproducible_searchindex.diff
  * Refresh and rebase other patches.
  * Update debian/watch to correctly mangle upstream alpha releases.
  * Demote sphinx-rtd-theme to Suggests, it has become optional.
  * Add dependency on python[3]-imagesize packages.
  * Bump Pygments build- and test dependencies to 2.1.1.
  * Demote python-sphinx recommendation of sphinx-doc to a suggestion.
  * Refactor the command to run tests to better match upstream.
  * Build-depend on dvipng to get the pngmath test run.
  * Update numbers in jstest/run-tests for the new version.
  * Add a patch from Alexis Bienvenüe to extend SOURCE_DATE_EPOCH support
    (closes: #820895).
  * Add a patch to fix a typing-related test failure with Python 3.5.2.
  * Update debian/copyright based on upstream LICENSE and AUTHORS files.
  * Add a patch to make compile_catalog code work with python-babel 2.3.
  * Add a patch to support LuaTeX 0.85.
  * Build-depend on texlive-luatex for tests.
  * Adapt dh-sphinxdoc/install-js for doctools.js changes.
  * Update sphinx-autogen manpage.
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Build-depend on python3-xapian (closes: #649488).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 17 May 2016 18:57:02 +0300

sphinx (1.3.6-2) unstable; urgency=medium

  * Use implementation of jstest from Iain Lane in hope it succeeds on
    buildds.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 03 Mar 2016 20:17:15 +0300

sphinx (1.3.6-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Port jstest to WebKit2 (closes: #814909).
  * Remove the now obsolete debian/TODO file.
  * Update debian/source/lintian-overrides for new Lintian versions.
  * Use https in Vcs-Git field.
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 02 Mar 2016 10:24:30 +0300

sphinx (1.3.5-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Build-depend on Pygments 2.1, the testsuite now requires it.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 26 Jan 2016 12:57:34 +0300

sphinx (1.3.4-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Clean and ignore auto-generated files.
  * jstest.py: Add gi.require_version() calls to fix warnings from PyGI.
  * Bump version number in sphinx-autogen manpage.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 14 Jan 2016 19:01:44 +0300

sphinx (1.3.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 03 Dec 2015 18:35:09 +0300

sphinx (1.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop the following patches, applied upstream:
    - py35compat.diff
    - no_theme_rename_warning.diff
    - addto_only_babel.diff
    - print_help.diff
    - compat_css.diff
  * Refresh and rebase other patches.
  * Stop exporting SOURCE_DATE_EPOCH in debian/rules.
    Debhelper does it automatically since version 9.20151004.
  * Update sphinx-autogen.1 man page.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 30 Nov 2015 18:31:36 +0300

sphinx (1.3.1-8) unstable; urgency=medium

  * Do not fail on removing SOURCES.txt file when it does not exist.
    Fixes build with dh-python ≥ 2.20151103.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 08 Nov 2015 16:13:14 +0300

sphinx (1.3.1-7) unstable; urgency=medium

  * Make libjs-sphinxdoc depend on libjs-jquery ≥ 1.11.1 and libjs-underscore
    ≥ 1.3.1, as these are the versions used by upstream.
  * Fix command in autopkgtests to make them pass.
  * Update Vcs fields for Git migration.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 18 Oct 2015 18:38:38 +0300

sphinx (1.3.1-6) unstable; urgency=medium

  * Update reproducibility patches to the latest version from Val Lorentz:
    - Update reproducible_grammar.diff.
    - Make searchindex generation deterministic (reproducible_searchindex.diff).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 03 Sep 2015 16:54:07 +0300

sphinx (1.3.1-5) unstable; urgency=medium

  * Fix remaining reproducibility issues (closes: #795976):
    - Export SOURCE_DATE_EPOCH in debian/rules.
    - Set PYTHONHASHSEED=0 when generating grammar files.
    - Make grammar generation deterministic (reproducible_grammar.diff).
    - Make inventory generation deterministic (reproducible_inventory.diff).
    - Make JavaScript locales deterministic (reproducible_js_locale.diff).
    Many thanks to Val Lorentz for the patches.
  * Drop XS-Testsuite header, no longer needed with dpkg ≥ 1.17.11.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 20 Aug 2015 11:56:56 +0300

sphinx (1.3.1-4) unstable; urgency=medium

  * Fix message when calling sphinx-build without arguments
    (print_help.diff; closes: #792715).
  * Add compatibility default.css file (compat_css.diff).
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 15 Aug 2015 18:04:49 +0300

sphinx (1.3.1-3) experimental; urgency=medium

  * Update debian/TODO with the actual information.
  * Backport upstream patch to disable warning about renamed default theme
    (no_theme_rename_warning.diff).
  * Backport upstream patch to not insert babel-specific code to generated
    LaTeX files when babel is not in use (addto_only_babel.diff).
  * Add support for $SOURCE_DATE_EPOCH environment variable, to make
    the documentation builds reproducible (source_date_epoch.diff).
  * dh_sphinxdoc: Symlink css3-mediaqueries.js, thanks to Jakub Wilk
    for the patch (closes: #793045).
  * dh_sphinxdoc: Add support for symlinking files specific to the RTD
    theme (closes: #781849).
  * Bump version number in sphinx-autogen manpage.
  * Drop initialize_autodoc.diff, the bug seems to be fixed differently
    upstream.
  * Update bug URL in a comment in debian/rules for move to GitHub.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 28 Jul 2015 22:19:39 +0300

sphinx (1.3.1-2) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * debian/patches/no_snowballstemmer.diff: Exclude snowballstemmer
    from setup.py and egg-info requirements.
  * Move the signing keys to debian/upstream/signing-key.asc.

  [ Barry Warsaw ]
  * debian/patches/py35compat.diff: Python 3.5 compatibility.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 30 Jun 2015 21:02:36 +0300

sphinx (1.3.1-1) experimental; urgency=medium

  [ Helmut Grohne ]
  * Mark libjs-sphinxdoc Multi-Arch: foreign (closes: #779458).

  [ Dmitry Shachnev ]
  * New upstream release.
    - The codebase now works with Python 3 with no need to run 2to3.
    - Output is now reproducible (closes: #776443).
  * Remove patches:
    - python3_test_build_dir.diff (no longer needed)
    - parallel_2to3.diff (no longer needed)
    - fix_latex_hlines.diff (applied upstream)
  * Bump required versions of python, docutils and pygments.
  * Build-depend and depend on:
    - python[3]-six
    - python[3]-babel
    - python[3]-sphinx-rtd-theme
    - python[3]-alabaster
  * Add python[3]-mock to build-dependencies and test dependencies.
  * Use upstream tarball, which now contains non-minified versions of
    jquery.js and underscore.js.
  * Update debian/watch to use pypi.debian.net redirector.
  * Simplify debian/rules:
    - Adjust for using upstream tarballs.
    - Do not mention site-packages anymore.
  * Update JS tests for the new version.
  * Add a patch to skip JS libraries versions check.
  * Drop 2to3 call from debian/tests/python3-sphinx.
  * Properly clean up after running tests.
  * Bring debian/copyright in sync with upstream AUTHORS file.
  * Disable snowballstemmer-based search until upstream implements
    it correctly (without JS blobs) and we get snowballstemmer packaged.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Override lintian false positive warnings about missing sources for
    minified files (jquery.js, underscore.js, and css3-mediaqueries.js).
  * debian/dh-sphinxdoc/install-js: Update list of files to be installed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 02 May 2015 22:18:56 +0300

sphinx (1.2.3+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Drop websupport_todo.diff, applied upstream.
  * Update date and version in sphinx-autogen.1.
  * Add Takayuki Shimizukawa’s signing key to upstream-signing-key.pgp.
  * Replace links to online docutils docs with links to packaged
    docutils docs.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 12 Sep 2014 11:49:40 +0400

sphinx (1.2.2+dfsg-4) unstable; urgency=medium

  * Build-depend on python3-whoosh, now when it is available.
  * Drop sphinxcontrib_namespace.diff, all sphinxcontrib packages
    are using dh_python2 now. Break old versions of issuetracker and
    spelling packages.
  * Update my e-mail address.
  * Override false-positive Lintian errors about sourceless files.
  * Generate compiled translations using compile_catalog command.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 08 Sep 2014 12:58:18 +0400

sphinx (1.2.2+dfsg-3) unstable; urgency=medium

  * Remove obsolete Recommends: on python-simplejson and Suggests:
    on jsmath.
  * debian/patches/websupport_todo.diff: Make websupport work with
    todolist directives (closes: #754408).

 -- Dmitry Shachnev <mitya57@gmail.com>  Mon, 25 Aug 2014 13:50:20 +0400

sphinx (1.2.2+dfsg-2) unstable; urgency=medium

  * Downgrade error about documentation not found to a warning
    (closes: #745690).
  * Cleanup dh_compress arguments.
  * Export NO_PKG_MANGLE, needed to build on Ubuntu.
  * Update version number and URL in sphinx-autogen man page.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 18 May 2014 15:13:18 +0400

sphinx (1.2.2+dfsg-1) unstable; urgency=low

  * New upstream bugfix release.
  * Drop html_logo_path_fix.diff, applied upstream.
  * Refresh and rebase other patches.
  * Update numbers in jstest/run-tests to match docs updates in the new
    version.
  * Bump debhelper compatibility level to 9.
  * Backport upstream patch to fix writing table hlines in LaTeX writer
    (closes: #732585).

 -- Dmitry Shachnev <mitya57@gmail.com>  Mon, 03 Mar 2014 20:28:04 +0400

sphinx (1.2.1+dfsg-3) unstable; urgency=medium

  * Add html_logo_path_fix.diff to fix path check for HTML logo,
    backported from upstream hg (thanks James Cowgill, closes: #738741).
  * Add missing xauth depencency for sphinx-doc autopkgtest.

 -- Dmitry Shachnev <mitya57@gmail.com>  Thu, 13 Feb 2014 12:54:23 +0400

sphinx (1.2.1+dfsg-2) unstable; urgency=medium

  * Move Grammar files to /usr/share/sphinx, the code still expects
    that thay are in that location (closes: #736239).

 -- Dmitry Shachnev <mitya57@gmail.com>  Tue, 21 Jan 2014 19:47:34 +0400

sphinx (1.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop fix_jinja_recursion.diff, applied upstream.
  * Drop unversioned_grammar_pickle.diff, a different fix was applied
    upstream.
  * No longer move Grammar.txt and Grammar.pickle to shared location,
    upstream is now shipping different versions of grammar for Python 2
    and Python 3.

 -- Dmitry Shachnev <mitya57@gmail.com>  Mon, 20 Jan 2014 18:28:47 +0400

sphinx (1.2+dfsg-2) unstable; urgency=medium

  * Backport upstream patch (fix_jinja_recursion.diff) to fix infinite
    recursion when building python-numpy docs.
  * Add explicit build-dependency on dh-python.
  * JS tests: use WebView.load_uri() instead of deprecated open().

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 12 Jan 2014 13:00:20 +0400

sphinx (1.2+dfsg-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream stable release.
  * Drop fix_setup_command_test.diff, applied upstream.
  * Refresh sphinxcontrib_namespace.diff.
  * Fix package names in Recommends: python(3)-imaging → python(3)-pil.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Bump python-all build-dependency to 2.6.6-3~.
  * Verify upstream PGP signature in debian/watch.

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 18 Dec 2013 17:25:19 +0400

sphinx (1.2~b3+dfsg-2) experimental; urgency=low

  * Really switch from dh_pysupport to dh_python2.
  * Remove unwanted files from python-sphinx package (closes: #726754).
  * Remove useless imports in jstest/jstest.py.

 -- Dmitry Shachnev <mitya57@gmail.com>  Mon, 21 Oct 2013 20:55:27 +0400

sphinx (1.2~b3+dfsg-1) experimental; urgency=low

  [ Dmitry Shachnev ]
  * New upstream beta release.
    - Correctly handles errors when repr()-ing objects (closes: #706581).
  * Drop upstream patches.
  * Refresh and rebase other patches.
  * Add a patch to make sure setup_command tests can import sphinx module.
  * Switch debian/watch to use HTTPS.
  * JS tests:
    - Port from deprecated static bindings and Python 2 to PyGI and
      Python 3. Update the dependencies accordingly.
    - Do not use web server, instead set a WebKit option that will allow
      us to access files directly. Now the pages should load faster
      (closes: #724472).
  * Switch from deprecated dh_pysupport to dh_python2 (closes: #659196).
  * Add XS-Testsuite header, and replace XS-Python-Version with preferred
    X-Python-Version (closes: #685508).
  * Add myself to Uploaders.

  [ Jakub Wilk ]
  * Remove myself from Uploaders.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sat, 05 Oct 2013 19:29:41 +0400

sphinx (1.2~b1+dfsg-2) experimental; urgency=low

  * Export http_proxy=http://127.0.0.1:9/ in debian/rules to prevent Internet
    access at build time.
  * Use canonical URIs for Vcs-* fields.
  * Add texinfo to Build-Depends.
  * Add patch (fix_copying_imgs_singlehtml_builder.diff) to fix copying images
    in the singlehtml builder (closes: #706563).
  * Add patch (fix_globaltoc_and_hidden_toctree.diff) to fix combination of
    globaltoc and hidden toctree causing an exception (closes: #706586).
  * Add patch (fix_missing_citation_target_assert.diff) to fix missing
    citation target causing AssertionError (closes: #706565).
  * Rename skiptest_latex.diff as skiptest.diff; fix more cases when a missing
    tool was silently ignored.
  * Set Debian Python Modules Team as Maintainer; move myself to Uploaders.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 04 Jun 2013 23:57:47 +0200

sphinx (1.2~b1+dfsg-1) experimental; urgency=low

  * New upstream beta release.
    + Drop fix_nepali_po.diff; applied upstream.
    + Drop fix_shorthandoff.diff; different fix applied upstream.
    + Drop l10n_fixes.diff; applied upstream.
    + Drop manpage_writer_docutils_0.10_api.diff; applied upstream.
    + Drop pygments_byte_strings.diff; different fix applied upstream.
    + Drop show_more_stack_frames.diff; an option to show full traceback (-T)
      is now available.
    + Drop sort_stopwords.diff; applied upstream.
    + Drop support_python_3.3.diff; applied upstream.
    + Drop test_build_html_rb.diff; applied upstream.
    + Refresh other patches.
    + Update integration tests for the JavaScript code.
    + Update debian/copyright.
    + Update debian/*.docs to take into account that README was renamed as
      REAMDE.rst.
    + Update version in sphinx-autogen manpage.
    + This release fixes parsing C++11 “static constexpr” declarations
      (closes: #693066). Thanks to Alexandre Duret-Lutz for the bug report and
      the patch.
  * Run tests under LC_ALL=C.UTF-8 to work around test failures.
  * Make it impossible to accidentally build the source package with an
    .orig.tar that includes jquery.js or underscore.js.
  * Refactor debian/rules.
  * When building our own documentation, run sphinx-build with the -T option.
  * Use a dedicated script to extract JavaScript code for libjs-sphinxdoc.
  * Add no_external_css.diff: don't use CSS files hosted on external sites.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 29 Apr 2013 23:37:06 +0200

sphinx (1.1.3+dfsg-7) experimental; urgency=low

  * Backport upstream patch for fix compatibility with Docutils 0.10.
  * Run 2to3 in parallel.
  * Add DEP-8 tests for the documentation package.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 19 Dec 2012 10:53:51 +0100

sphinx (1.1.3+dfsg-6) experimental; urgency=low

  [ Jakub Wilk ]
  * DEP-8 tests: remove “Features: no-build-needed”; it's the default now.
  * Bump standards version to 3.9.4; no changes needed.
  * Pass -a to xvfb-run, so that it tries to get a free server number.
  * Rebuild MO files from source.
    + Update debian/rules.
    + Add the rebuilt files to extend-diff-ignore.
  * Make synopses in the patch header start with a lowercase latter and not
    end with a full stop.

  [ Dmitry Shachnev ]
  * debian/patches/l10n_fixes.diff: fix crashes and not working external
    links in l10n mode (closes: #691719).
  * debian/patches/sort_stopwords.diff: mark as applied upstream.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 08 Dec 2012 14:38:19 +0100

sphinx (1.1.3+dfsg-5) experimental; urgency=low

  [ Jakub Wilk ]
  * DEP-8 tests: use $ADTTMP.
  * dh_sphinxdoc: ignore comments when analysing HTML files (closes: #682850).
    Thanks to Dmitry Shachnev for the bug report.
  * Add dvipng to Suggests (closes: #687273). Thanks to Matthias Klose for the
    bug report.
  * Set PYTHONHASHSEED=random in debian/rules and in DEP-8 tests.
  * Backport upstream patch to fix encoding issues in test_build_html. Now
    that this is fixed, stop running Python 3 tests under LC_ALL=C.
  * Make “debian/rules binary-arch” no-op.
  * Update version number in the sphinx-autogen manpage.
  * Improve dh_sphinxdoc:
    + Fix the --tmpdir option. Thanks to Andriy Senkovych for the bug report.
    + Ignore references to JavaScript code that start with an URI scheme.
      Thanks to Dmitry Shachnev for the bug report.
    + Strip query (?...) and fragment (#...) components from JavaScript
      references. Thanks to Dmitry Shachnev for the bug report.
  * Sort stopwords in searchtools.js. Thanks to Dmitry Shachnev for the bug
    report.
  * Fix compatibility with Python 3.3. Thanks to Dmitry Shachnev for the bug
    report and hunting down the upstream patch.

  [ Dmitry Shachnev ]
  * Update Homepage field to point to http://sphinx-doc.org/.
  * Build-depend of python3-all instead of python3.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 08 Nov 2012 16:28:23 +0100

sphinx (1.1.3+dfsg-4) unstable; urgency=low

  * Add DEP-8 tests.
  * LaTeX writer: fix generation of \shorthandoff (closes: #672586,
    LP: #997891). Thanks to Melissa Draper for the bug report and the initial
    patch.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 24 May 2012 18:53:29 +0200

sphinx (1.1.3+dfsg-3) unstable; urgency=low

  * Validate *.po files at build time. Add gettext to Build-Depends.
  * Add fix_nepali_po.diff: remove Nepali translations that must have been
    wrong.
  * Add pygments_byte_strings.diff: fix Unicode issues in
    PygmentsBridge.highlight_block (closes: #660930). Thanks to Anton Gladky
    for the bug report and the initial patch.
  * Fix a typo in a patch description.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 02 Apr 2012 22:17:49 +0200

sphinx (1.1.3+dfsg-2) unstable; urgency=low

  * Upload to unstable.
  * Add skiptest_latex.diff: if LaTeX (or a required LaTeX package) is not
    found when running test_build_latex, raise SkipTest instead of just
    printing a message to stderr.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 14 Mar 2012 20:31:19 +0100

sphinx (1.1.3+dfsg-1) experimental; urgency=low

  * New upstream release.
    + Drop python3_test_syspath.diff, applied upstream.
    + Update integration tests for the JavaScript code.
  * Bump standards version to 3.9.3 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Mon, 12 Mar 2012 12:18:37 +0100

sphinx (1.1.2+dfsg-5) unstable; urgency=low

  * Don't run ‘python setup.py clean’ in the clean target (we nuke the whole
    build subdirectory anyway).
  * Move python-all and python-setuptools from Build-Depends to
    Build-Depends-Indep, as it's not needed in the clean target anymore.
  * Don't run dh_testroot in the clean target. There's a good chance that root
    privileges are not needed (e.g. because binary target was run under
    fakeroot), and even if they are actually needed, the target will fail
    quickly.
  * Run tests against Python 3:
    + Add build-dependency on python3-nose, python3-docutils,
      python3-pygments, python3-jinja2, python3-sqlalchemy.
    + Add python3_test_syspath.diff to fix Python 3 sys.path for the test
      runner.
    + Add python3_test_build_dir.diff to hardcode Python 3 build directory in
      the test runner to the one that the package uses.
    + Add test running code debian/rules. Don't use --no-skip for the moment,
      as some required packages don't exist yet (see #647441, #647439). Set
      LC_ALL=C.UTF-8 to work around failures under LC_ALL=C (see
      <http://deb.li/H8ED> and <http://deb.li/3Rw0z>).

 -- Jakub Wilk <jwilk@debian.org>  Tue, 14 Feb 2012 00:13:35 +0100

sphinx (1.1.2+dfsg-4) unstable; urgency=low

  * Make the build actually fail if integration tests for the JavaScript
    code fail.
  * Don't remove *.egg-info in the clean target; add it to extend-diff-ignore
    instead.
  * Pass --no-guessing-deps to dh_python3.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 05 Feb 2012 19:33:59 +0100

sphinx (1.1.2+dfsg-3) unstable; urgency=low

  * Upload to unstable (closes: #655637).
  * Use xargs to iterate over all Python versions.
  * Make sphinx-autogen initialize the sphinx.ext.autodoc module (hopefully
    closes: #611078).

 -- Jakub Wilk <jwilk@debian.org>  Sun, 05 Feb 2012 17:59:55 +0100

sphinx (1.1.2+dfsg-2) experimental; urgency=low

  * Add sphinxcontrib_namespace.diff: create namespace package
    ‘sphinxcontrib’. This allows python-sphinxcontrib.* packages, both those
    using dh_python2 and those using python-support, to be co-importable.
  * Add various texlive-* and libjs-mathjax to Suggests.
  * Don't install SOURCES.txt into binary packages.
  * dh_sphinxdoc: produce different diagnostic message when unknown JavaScript
    script is being ignored than when it's a fatal error. Thanks to Sandro
    Tosi for the bug report.
  * Make the get-orig-source script create temporary files in /tmp (or
    $TMPDIR).
  * Revert all the changes to manual pages that accumulated over the years.
  * Document that symlinking translations.js and non-English searchtools.js is
    not supported (see bug #658238).
  * Don't include websupport.js in libjs-jquery. Make dh_sphinxdoc remove this
    file from binary package.
  * dh_sphinxdoc: -X<item> should now exclude a file if <item> exists anywhere
    in the path, so it can be used e.g. to exclude whole directories.
  * Fix a typo in dh_sphinxdoc manual page.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 03 Feb 2012 13:52:49 +0100

sphinx (1.1.2+dfsg-1) experimental; urgency=low

  * New upstream release (closes: #649048).
    + Drop autosummary_1.0.6.patch for the time being (reopens: #611078).
    + Drop docstring_parse.diff, applied upstream.
    + Rename disable_ez_setup.diff to disable_distribute_setup.diff.
    + Drop move_static_files_outside_site-packages.patch. Most of it was
      applied upstream, the remaining bits are now taken care of in
      debian/rules.
    + Refresh other patches.
    + Update integration tests for the JavaScript code.
    + Bump minimum required versions:
      - python-docutils to >= 0.7;
      - python-pygments to >= 1.2;
      - python-jinja2 to >= 2.3.
      - python to >= 2.5.
    + Add code to install also JavaScript files that are generated at build
      time. Add websupport.js to dh_sphinxdoc index.
    + Update debian/copyright.
  * Texinfo output format is now supported (closes: #586747).
  * Update version numbers in the manual pages. Add a build-time warning to be
    emitted if they ever get out of date again.
  * Build manual pages (except for sphinx-autogen.1) from reStructuredText
    sources.
  * Rephrase short package description, so that it's... shorter.
  * New binary package: sphinx-common, containing manual pages, templates,
    translations and other data files.
  * New binary package: sphinx-doc, containing documentation.
    + Conflict with previous versions python-sphinx.
    + /usr/share/doc/python-sphinx/html used to be a directory, but is now a
      symlink. Conflict with older versions of python-docutils, so that dpkg
      can replace one with the other. Add lintian override.
  * New binary package: python3-sphinx.
    + Both python-sphinx and python3-sphinx provide sphinx-* scripts. The
      scripts have:
      #!/usr/bin/python3 shebang if only python3-sphinx is installed;
      #!/usr/bin/python shebang otherwise.
    + /usr/bin/sphinx-* are now symlinks and are managed by docutils-common
      postinst/postrm maintainer scripts.
    + Make sphinx-common conflict with older versions of python-sphinx that
      were shipping /usr/bin/sphinx-* scripts. Add lintian override for
      conflicts-with-version.
    + Add build-dependency on python3 (needed for dh_python3) and
      python3-setuptools.
    + Add X-Python3-Version field.
  * Improve debian/rules:
    + Run dh_install with --fail-missing.
    + Refactor the code responsible for moving data into a private directory.
      Rename some variables to make them lowercase. Don't use CURDIR where
      it's not necessary.
    + Make it possible to rebuild the package without running clean target.
    + Remove unneeded mkdir calls.
    + Use a for loop in debian/rules to install all sphinx-* scripts.
    + Run nosetests with --verbose --no-skip.
  * Add build-dependency on the following packages (needed for the test
    suite): python-sqlalchemy, python-whoosh, python-xapian.
  * Use XS-Python-Version instead of debian/pyversions.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 20 Nov 2011 15:56:50 +0100

sphinx (1.0.8+dfsg-2) unstable; urgency=low

  * Upload to unstable.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 12 Oct 2011 00:34:20 +0200

sphinx (1.0.8+dfsg-1) experimental; urgency=low

  * New upstream release.
    + Drop fix_jquery_1.5_incompatibility.diff, applied upstream.
    + Drop fix_test_build_latex.diff, applied upstream.
    + Refresh other patches.
  * Export PYTHONWARNINGS=d in debian/rules to enable all warnings in Python
    code.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 28 Sep 2011 17:20:22 +0200

sphinx (1.0.7+dfsg-2) unstable; urgency=low

  * JavaScript test suite: don't hang if get_title() returns None. Thanks to
    Ansgar Burchardt for the bug report.
  * dh_sphinxdoc:
    + Fix a typo in the manual page.
    + Don't check for existence of source files if HAS_SOURCE is false
      (closes: #641710). Thanks to Raphaël Hertzog for the bug report.
  * Disable use of ez_setup in setup.py.
  * Set myself as maintainer. Thanks to Mikhail Gusarov for his past work!

 -- Jakub Wilk <jwilk@debian.org>  Thu, 15 Sep 2011 13:53:16 +0200

sphinx (1.0.7+dfsg-1) unstable; urgency=medium

  * Strip jQuery and Underscore.js from the upstream tarball (closes:
    #631535).
    + Add get-orig-source target.
    + Remove them from debian/copyright.
    + Add build-dependency on libjs-underscore,
    + Update watch file to deal with the +dfsg suffix.
  * Unify multiple calls to dh_link.
  * Use build/html as build directory for documentation.
  * Add integration tests for the JavaScript code. They should allow us to
    avoid bugs like #625208 or #628642 in the future.
    + Build-depend on xvfb, xauth, python-webkit, libjs-jquery and
      libjs-underscore.
  * Add build-arch and build-indep targets to debian/rules.
  * Add new tool, dh_sphinxdoc that aids shipping Sphinx-generated
    documentation in Debian packages.
    + Update debian/rules, debian/control and debian/*.links to use
      dh_sphinxdoc.
    + Use pod2man to generate manpage. Add dependency on perl. Update
      debian/manpages and debian/clean.
  * Move all JavaScript code into a separate package, libjs-sphinxdoc.
  * Fix test_build_latex to not fail in a directory with special characters.
  * Use debian/clean rather than listing files to clean directly in
    debian/rules.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 10 Jul 2011 22:43:16 +0200

sphinx (1.0.7-5) unstable; urgency=low

  [ Jakub Wilk ]
  * Bump standards version to 3.9.2 (no changes needed).
  * Bump minimum required version of jQuery to 1.4.
  * Use python (>= 2.6.6-14~) as an alternative build-dependency to
    python-simplejson. The latter package is only needed for python2.5, and
    python-defaults 2.6.6-14 doesn't support it anymore.
  * Include jQuery source (closes: #630973).
    + Check at build time if versions of both jQuery copies match.

  [ Nikolaus Rath ]
  * Backport upstream changesets a8b0ef275438 and de340a6098c7 to allow
    extraction of function signature from docstring for extension modules.
    (closes: #630409). The feature is disabled by default for the moment.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 19 Jun 2011 14:44:49 +0200

sphinx (1.0.7-4) unstable; urgency=low

  * When Sphinx crashes, show 10 stack frames (instead of a single one).
  * Backport upstream patch to fix incompatibility with jQuery >= 1.5
    (closes: #625208). Thanks to Tshepang Lekhonkhobe for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 19 May 2011 11:59:00 +0200

sphinx (1.0.7-3) unstable; urgency=low

  [ Mikhail Gusarov ]
  * Change my email address.

  [ Jakub Wilk ]
  * New upstream release (closes: #613207).
    + Refresh patches.
    + Revert changes to the autosummary extension introduced in 1.0.7
      (closes: #611078).
  * Don't compress objects.inv. Thanks to Michael Fladischer for the bug
    report.
  * Remove *.egg-info in the clean target.
  * Move pycode/Grammar.txt and ext/autosummary/templates/* out of
    /usr/share/pyshared/ (closes: #609486).
  * Stop embedding Python version in filename of grammar pickle.
  * Ship grammar pickle in the binary package (closes: #613412). Thanks to
    Frederic-Emmanuel Picca for the bug report.
  * Drop preinst script to remove python-central leftovers; not needed
    anymore.
  * New upstream release.
  * Update and significantly rewrite manual pages (closes: #593623).
  * Switch to source format 3.0 (quilt).
    + Drop README.source.
    + Refresh patches.
    + Update debian/rules.
    + Drop quilt from build-depends.
  * Update debian/copyright.
  * Use DEP-3 format for patch headers.
  * Run tests at build time.
    + Add python-nose, python-simplejson and
      texlive-{latex-{recommended,extra},fonts-recommended} to
      Build-Depends-Indep.
    + Patch test runner to import modules correctly and prevent it from
      reading files in /usr/share/sphinx.
    + Update debian/rules.
  * Bump standards version to 3.9.1 (no changes needed).
  * Add ‘set -e’ to a for loop in debian/rules.

  [ Piotr Ożarowski ]
  * Minimum required versions bumped:
    - python-jinja2 >= 2.2
    - python-docutils >= 0.5
  * move_static_files_outside_site-packages.patch updated

  [ Stefano Rivera ]
  * Improve language and clarify options in manpages.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 04 Apr 2011 13:50:56 +0200

sphinx (0.6.6-3) unstable; urgency=low

  * Add myself to uploaders.
  * Fix formatting of the manual pages.
  * Update and significantly rewrite the sphinx-build manual page
    (closes: #593623).
  * Bump standards version to 3.9.1 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Mon, 30 Aug 2010 00:26:04 +0200

sphinx (0.6.6-2) unstable; urgency=low

  * Team upload.

  [ Mikhail Gusarov ]
  * Fix preinst script to correctly remove python-central remnants (Closes:
    #559572).

 -- Jakub Wilk <jwilk@debian.org>  Fri, 06 Aug 2010 16:33:55 +0200

sphinx (0.6.6-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * New upstream release
    - disable_ez_setup.patch removed, no longer needed
    - move_static_files_outside_site-packages.patch updated
  * Bump Standards-Version to 3.8.4, no changes needed.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Tue, 25 May 2010 22:30:46 +0200

sphinx (0.6.5-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * New upstream release

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Mon, 29 Mar 2010 23:08:45 +0200

sphinx (0.6.4-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * New upstream release

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Wed, 13 Jan 2010 23:26:40 +0100

sphinx (0.6.3-2) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Add preinst maintainer script to remove python-central leftovers; thanks to
    Jakub Wilk for the report; Closes: #559572

  [ Sandro Tosi ]
  * debian/control
    - added misc:Depends to the binary package Depends line

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Sun, 03 Jan 2010 22:37:20 +0600

sphinx (0.6.3-1) unstable; urgency=low

  * New upstream release (Closes: #545042):
    - handle error when using autoclass with a non-class (Closes: #537165)
    - all patches refreshed.
  * Use debian/pyversions instead of X[SB]-Python-Version.
  * Add doc-base file for manual.
  * Bump Standards-Version, no changes needed.

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Fri, 04 Sep 2009 17:49:20 +0700

sphinx (0.6.2-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * New upstream release (Closes: #527538)
    - add_missing_sphinx-autogen and rfind-invocation patches removed, no
      longer needed
    - move_static_files_outside_site-packages.patch updated
  * Standards-Version bumped to 3.8.2, no changes needed.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Wed, 17 Jun 2009 19:32:26 +0200

sphinx (0.6.1-2) unstable; urgency=low

  [ Mikhail Gusarov ]
  * Fix debian/README.source: s/dpatch/quilt/ (Closes: #523293).
  * Add debian/rfind-invocation.patch, fixing breakage on python-werkzeug
    docs.

  [ Piotr Ożarowski ]
  * Install .mo files (Closes: #526027)

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Sun, 12 Apr 2009 14:37:30 +0700

sphinx (0.6.1-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * New upstream release
    + depend on python-jinja2 instead of python-jinja
  * Add move_static_files_outside_site-packages patch
  * Build depend on python-all (>= 2.5.4-1) (py_libdir is now used in
    debian/rules)
  * add_missing_sphinx-autogen.patch added (missing file will be added in next
    upstream release)

  [ Jan Dittberner ]
  * add man page debian/sphinx-autogen.1

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Thu, 07 Apr 2009 18:24:25 +0100

sphinx (0.5.2-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * New upstream release (Closes: #517735)
    + bump python-jinja minimum required version to 1.2
  * Switch to python-support
  * remove .pickle file in clean rule
  * Standards-Version bumped to 3.8.1, no changes needed.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Tue, 24 Mar 2009 21:26:26 +0100

sphinx (0.5.1-2) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Upload to unstable
  * Add debian/README.source file

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Sat, 07 Feb 2009 15:31:02 +0100

sphinx (0.5.1-1) experimental; urgency=low

  [ Piotr Ożarowski ]
  * New upstream release
    + Closes: #507647
    + upload to experimental due to Lenny freeze, to ease testing rev.
      dependencies
  * Add disable_ez_setup patch (and quilt to build dependencies) so that it
    will not try to download stuff that is already installed on the system
  * Add jsmath to suggested packages (Closes: #507691)

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Wed, 17 Dec 2008 18:42:59 +0100

sphinx (0.5-1) experimental; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Piotr Ożarowski ]
  * New upstream release (upload to experimental due to Lenny freeze, to ease
    testing rev. dependencies)
  * Add python (>=2.6) | python-simplejson and python-imaging to Recommends
  * Remove .doctrees directory from docs/html
  * Bump python-jinja's required version to >= 1.1

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Sun, 23 Nov 2008 21:49:50 +0100

sphinx (0.4.2-1) unstable; urgency=medium

  * New upstream version. Fixes bug with broken show-inheritance in
    automodule (Closes: #492732)
  * Urgency medium, fixes RC bug.
  * Using jQuery from Debian package, not bundled one:
    - Added dependency on libjs-jquery,
    - Replaced jquery.js by symlink to /usr/share/javascript/jquery/jquery.js

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Tue, 29 Jul 2008 17:55:27 +0700

sphinx (0.4.1-2) unstable; urgency=low

  * debian/control: sphinx is not compatible with python 2.3, so
    XS-Python-Version: >= 2.4 (Closes: #490537).

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Sat, 12 Jul 2008 20:13:12 +0700

sphinx (0.4.1-1) unstable; urgency=low

  * New upstream version.
  * All patches removed, applied upstream:
    - Removed quilt build-dep
    - Removed quilt patch/unpatch targets in debian/rules.

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Wed, 09 Jul 2008 02:57:25 +0700

sphinx (0.4-1) unstable; urgency=low

  * New upstream version.
  * Standards-Version bumped to 3.8.0, no changes needed.
  * Vcs-{Svn,Browser} added.

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Mon, 23 Jun 2008 19:31:00 +0700

sphinx (0.3-2) unstable; urgency=medium

  * Added missing python-docutils dependency (Closes: #482916).

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Mon, 26 May 2008 04:44:14 +0700

sphinx (0.3-1) unstable; urgency=low

  * New upstream version.
  * Fixed typo in package description (Closes: #479285).
  * debhelper compatibility level bumped to 7:
    - Updated debhelper dependency
    - debian/rules: stamp files are removed automatically
  * Removed empty debian/examples file.

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Sun, 04 May 2008 13:44:34 +0700

sphinx (0.2-1) unstable; urgency=low

  * New upstream version.
  * sphinx no longer bundles jinja in tarball:
    - nuked jinja removal code from debian/rules,
    - added build-depencency to python-jinja for documentation generation,
    - updated debian/copyright, removing information about jinja copyrights

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Thu, 01 May 2008 11:00:18 +0700

sphinx (0.1.61950-1) unstable; urgency=low

  * Initial release (Closes: #474782)
  * Added patch disable-sphinx-web.patch, disabling installation of
    sphinx-web, which is not yet ready.
  * Added patch add_shebangs.patch, adding shebangs in sphinx-build and
    sphinx-quickstart
  * Added manpages for sphinx-build(1) and sphinx-quickstart(1).
  * Removed bundled jinja instance.

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Sun, 20 Apr 2008 23:01:50 +0200
